#ifndef ACCOUNTDIALOG_H
#define ACCOUNTDIALOG_H

#include <QDialog>
#include <QListWidget>
#include <QFutureWatcher>
namespace Ui {
    class AccountDialog;
}

class AccountDialog : public QDialog
{
    Q_OBJECT

public:
    explicit AccountDialog(QWidget *parent = 0);
    ~AccountDialog();
     static QListWidgetItem asyncTestItem(const QListWidgetItem& item);


static QString  currentIp();

public slots:
    void add();
    void edit();
    void rem();
    void use();
    void load();
    void enableUi();
 void setAsyncItem(int row);
private:
    Ui::AccountDialog *ui;
    QFutureWatcher <QListWidgetItem> * mFuturWatcher;
};

#endif // ACCOUNTDIALOG_H
